Subject: Re: bug#21563: 24.5; discourage load-hook variables

From: Mauro Aranda <[email-masked]>
Date: Thu, 16 Jan 2020 08:49:50 -0300

Stefan Kangas <[email-masked]> writes:

> I now noticed that there is a bunch of hooks in eshell which seems to
> never be called with run-hooks?  For example, eshell-alias-load-hook
> or eshell-glob-load-hook.
>
> Am I missing something here?

eshell-mode runs every necessary eshell-*-load-hook.  Those that belong
to eshell modules, like the ones you mentioned, run only if the module
is activated (when it is a member of the customizable option
eshell-modules-list).